Skip to content

List companies

Request

Retrieve a paginated list of companies in your CRM. Supports filtering by name, domain, industry, and other fields.

Security
bearerAuth
Query
limitinteger, (int32)

Items per page (default 20).

Default:20
Example:limit=20
offsetinteger, (int32)

Items to skip (default 0).

Default:0
Example:offset=0
order_fieldstring

Sort field (default created_at).

Default:"created_at"
Example:order_field=created_at
order_typestring

Sort direction.

Default:"asc"
Enum:"asc""desc"
Example:order_type=asc
filterobject

Filters for company search.

GET
/leads/api/companies
curl -i -X GET \
  'https://leadgen.grinfi.io/leads/api/companies?limit=20&offset=0&order_field=created_at&order_type=asc&filter=q%3Dstring' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Paginated list of companies.

Bodyapplication/json
dataArray of objects(company)
limitinteger
Example:20
offsetinteger
Example:0
totalinteger
Example:58
Response
{ "data": [ {} ], "limit": 20, "offset": 0, "total": 58 }